From a5b2545f60654b2499ddebff97d015020a6e8775 Mon Sep 17 00:00:00 2001
From: Ralph Bean <rbean@redhat.com>
Date: Mar 30 2016 14:52:22 +0000
Subject: [PATCH 364/1001] Fix typo in cache key construction.


---

diff --git a/hubs/widgets/base.py b/hubs/widgets/base.py
index 78f6d99..dc7b229 100755
--- a/hubs/widgets/base.py
+++ b/hubs/widgets/base.py
@@ -57,7 +57,7 @@ def AGPLv3(name):
 def smartcache(func):
     @wraps(func)
     def inner(session, widget, *args, **kwargs):
-        key = cache_key_generator(widget, args, kwargs)
+        key = cache_key_generator(widget, *args, **kwargs)
         creator = lambda: func(session, widget, *args, **kwargs)
         #log.debug("Accessing cache key %s", key)
         return cache.get_or_create(key, creator)

